search menu icon-carat-right cmu-wordmark

CERT Coordination Center

Mortbay Jetty fails to properly handle cookies with quotes

Vulnerability Note VU#438616

Original Release Date: 2007-12-04 | Last Revised: 2007-12-04

Overview

Mortbay Jetty fails to properly handle cookie quotes, which may allow session hijacking.

Description

Mortbay Jetty is a web server that is written in Java. Jetty fails to properly handle cookies with certain quote sequences. This can cause the Jetty cookie parsing mechanism to improperly handle all of the cookies in the cookie string that follow the cookie with the quote sequence.

Impact

This vulnerability can increase the possibility of a session hijacking success. In the presense of a cross-site scripting vulnerability, it may allow a denial-of-service attack against a web site by preventing a client from being able to log in using cookies.

Solution

Apply an update

This issue is addressed in Mortbay Jetty 6.1.6. Details are available in the release notes.

Vendor Information

438616
 
Affected   Unknown   Unaffected

Mort Bay

Notified:  October 26, 2007 Updated:  December 04, 2007

Status

  Vulnerable

Vendor Statement

No statement is currently available from the vendor regarding this vulnerability.

Vendor Information

The vendor has not provided us with any further information regarding this vulnerability.

Addendum

This issue is addressed in Mortbay Jetty 6.1.6.

If you have feedback, comments, or additional information about this vulnerability, please send us email.


CVSS Metrics

Group Score Vector
Base N/A N/A
Temporal N/A N/A
Environmental N/A

References

Acknowledgements

Thanks to Tomasz Kuczynski for reporting this vulnerability.

This document was written by Will Dormann.

Other Information

CVE IDs: CVE-2007-5614
Severity Metric: 2.78
Date Public: 2007-11-05
Date First Published: 2007-12-04
Date Last Updated: 2007-12-04 04:05 UTC
Document Revision: 4

Sponsored by the Department of Homeland Security Office of Cybersecurity and Communications.